<!DOCTYPE html>
<html lang="fr">
  <!--
    RapidÉtik est un logiciel libre
    sous licence GNU CPL
    écrit par Arnaud Champollion -->
  <head>
{% include 'templates/favicon.html' %}
{% include 'templates/global.css.html' %}

    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">  
    <link href="style.css?version=COMMITHASH" rel="stylesheet" type="text/css">
    <link rel="icon" href="images/favicon.ico" sizes="any" />
    <title>RapidÉtik</title>
  </head>
    <body>
{% include 'templates/widget_back_menu.html' %}

      <button id="bouton_check" type="button" class="cliquable" onclick="verification()"></button>
      <button id="exercice_suivant" type="button" onclick="uneAutre()"></button>
      <button id="bouton_menu"  class="cliquable" type="button" onclick="ouvre_menu()"></button>
      <button id="speaker" type="button" class="cliquable" onclick="entendre(son_speaker)"></button>
      <button id="bouton_consigne" type="button" class="cliquable" onclick="ouvre_consigne()"></button>
      <button id="bouton_entendre_phrase" type="button" class="cliquable" onclick="entendre(son_phrase)"></button>
      <button id="bouton_choix_langue" type="button" onclick="ouvre_menu_choix_langues()"></button>
      <img id="mini_haut_parleur" src="images/speaker.svg">
      <div id="consigne">
        <button id="bouton_entendre_consigne" type="button" class="cliquable" onclick="entendre(son_consigne)"></button>
        Place les étiquettes dans le bon ordre, puis valide avec le bouton vert, tout en bas à droite.
        <br>
        Pour écouter une étiquette, dépose-là sur le haut-parleur.
        <br>
        Pour écouter le modèle entier, clique sur le bouton "oreille".
      </div>
      <div id="menu_choix_langues">
        <button id="choix_fr" class="bouton_choix_langue" type="button" onclick="change_langue('fr-FR')"></button>
        <button id="choix_en" class="bouton_choix_langue" type="button" onclick="change_langue('en-EN')"></button>
        <button id="choix_de" class="bouton_choix_langue" type="button" onclick="change_langue('de-DE')"></button>
        <button id="choix_es" class="bouton_choix_langue" type="button" onclick="change_langue('es-ES')"></button>
        <button id="choix_nl" class="bouton_choix_langue" type="button" onclick="change_langue('nl-NL')"></button>
        <button id="choix_it" class="bouton_choix_langue" type="button" onclick="change_langue('it-IT')"></button>

      </div>

      <div id="accueil">
        <input type="text" id="input_phrase" placeholder="Écrivez une phrase ou collez le lien d'un fichier markdown.">
        <button id="bouton_phrase" onclick="cree_etiquettes()">OK</button>
        <input type="checkbox" title="Créer seulement des étiquettes mobiles au lieu d'un exercice." id="choix-etiquettes-seules" name="choix-etiquettes-seules" oninput="changeEtiquettesSeules()"><label for="choix-etiquettes-seules" title="Créer seulement des étiquettes mobiles au lieu d'un exercice." >Étiquettes seules</label>
        <div id="texte_accueil">
          <div class="accueil_item">
            <p>Pour créer une <strong>phrase mélangée</strong>, écrivez normalement.</p>
            <p class="exemple">Abel cherche son doudou derrière les rideaux.
              <button type="button" onclick="remplir('Abel cherche son doudou derrière les rideaux.')">Démo</button>
            </p>
          </div>
          <div class="accueil_item">
            <p>Pour garder des <strong>mots groupés</strong>, écrivez-les entre parenthèses.</p>
            <p class="exemple">Abel cherche <span class="gras">(son doudou)</span> derrière <span class="gras">(les rideaux)</span>.
              <button type="button" onclick="remplir('Abel cherche (son doudou) derrière (les rideaux).')">Démo</button>
            </p>
          </div>
          <div class="accueil_item">  
            <p>Pour créer une <strong>phrase à trous</strong>, encadrez certains mots avec des étoiles.</p>
            <p class="exemple">Abel est <span class="gras">*inquiet*</span>, il cherche son <span class="gras">*doudou*</span> derrière les <span class="gras">*rideaux*</span>.
              <button type="button" onclick="remplir('Abel est *inquiet*, il cherche son *doudou* derrière les *rideaux*.')">Démo</button>
            </p>
          </div>
          <div class="accueil_item">
            <p>Pour créer un <strong>QCM</strong>, séparez les propositions par des barres obliques (avec la bonne réponse en premier).</p>
            <p class="exemple">Abel cherche son <span class="gras">*doudou/boubou/dindon*.</span>
              <button type="button" onclick="remplir('Abel cherche son *doudou/boubou/dindon*.')">Démo</button>
            </p>
          </div>
          <div class="accueil_item">
            <p>Pour créer une <strong>collection d'exercices</strong>, créez un fichier au format Markdown (MD), par exemple sur <a target="_blank" href="https://codimd.apps.education.fr/">codimd.apps.education.fr</a> avec une liste de phrases, comme dans <a target="_blank" href="https://codimd.apps.education.fr/j33MrJITT6infJgqq6Ix_w#">cet exemple</a> puis collez le lien du fichier MD à la place de la phrase.
              <button type="button" onclick="remplir('https://codimd.apps.education.fr/j33MrJITT6infJgqq6Ix_w#')">Démo</button>
            </p>
          </div>
          <div class="accueil_item">
            <p>Autres exemples
              <button type="button" onclick="remplir('Mercure Vénus Terre Mars Jupiter Saturne Uranus Neptune')">Les planètes</button>
              <button type="button" onclick="remplir('1 2 3 4 5 6 7 8 9 10')">Les nombres de 1 à 10</button>
              <button type="button" onclick="remplir('8 12 16 20 34 38 51')">Autres nombres à ranger</button>
              <button type="button" onclick="remplir('Where do you live ?');change_langue('en-EN','auto')">Une phrase en anglais</button>

            </p>
          </div>
          </div>
      </div>
      <div id="phrase">
      
      </div>
 
      <div id="etiquettes">

      </div>
    </div>
    <div id="zone_partage">
      <button class="bouton_fermer"  class="cliquable" id="bouton_fermer_partage" type="button" onclick="ferme_partage()"></button>
      Pour partager cet exercice, transmettez le lien ci-dessous :
      <p id="zone_lien"></p>
      <input type="checkbox" id="chiffrement" name="chiffrement" checked onchange="change_lien()">
      <label for="chiffrement">Chiffrer le lien</label>
      (Encoder en base 64, pour que la réponse ne soit pas facilement devinable par l'URL.)
      <br><br>
      <button id="bouton_copier"  class="cliquable" type="button" onclick="copie_lien()">Copier le lien</button>
      <button id="bouton_mail"  class="cliquable" type="button" onclick="mail_lien()">✉️ Envoyer le lien</button>
      <button id="bouton_sms"  class="cliquable" type="button" onclick="sms_lien()">📱 Envoyer le lien</button>
      <br><br>
      Pour y accéder rapidement avec un téléphone ou une tablette, vous pouvez scanner ce QR-code.
      <br>
      Astuce : clic droit + copier / enregistrer l'image pour l'inclure dans un document à imprimer par exemple.
      <br><br>
      <div id="qrcode"></div>

    </div>
    <div id="apropos">
      <button class="bouton_fermer cliquable" id="bouton_fermer_apropos" type="button" onclick="ferme_apropos()"></button>
      <h1>À propos</h1>
      <p>RapidÉtik est un outil permettant de créer rapidement un exercice de type "phrase en désordre".</p>
      <p>Il suffit de saisir une phrase et de cliquer sur "créer l'exercice".</p>
      <p>Les mots et la phrase peuvent être prononcés par la synthèse vocale. Celle-ci utilise les ressources de votre appareil. Selon votre configuration il est possible que toutes les langues ne soient pas fonctionnelles ; dans ce cas, installez les langues manquantes.</p>
      <p>Les mots doivent ensuite être positionnés dans l'ordre sur les emplacements dédiés. L'élève valide avec le bouton vert en bas à droite.</p>
      <p>Il est possible de créer un lien partageable, voir bouton menu en bas à gauche. En envoyant ce lien à quelqu'un d'autre, par exemple par e-mail, il ou elle démarrera directement Étik avec cette phrase. Les liens créés n'ont pas de limite de durée, rien n'est stocké sur le serveur, les mots sont contenus dans le lien lui-même. </p>
      <p>L'application fonctionne avec un simple navigateur web, elle est donc en principe utilisable sur ordinateur, tablette et téléphone.</p>
      <p>Étik est développé par Arnaud Champollion, et partagé sous licence libre GNU/GPL. Le code source est déposé sur <a href="https://forge.apps.education.fr/">la forge des Communs Numériques</a></p>
      <p>Pour en savoir plus et télécharger une version hors-ligne, suggérer des améliorations, rapporter des bugs, consulter le code source voire participer au développement ... consultez <a href="https://forge.apps.education.fr/educajou/rapidetik">la page du projet RapidÉtik sur la forge</a>.</p>
      <p>Les QR-codes sont générés avec la bibliothèque libre <a href="https://github.com/zhiyuan-l/qrcodejs">QRCode.js</a>, modifiée par <a href="https://github.com/zhiyuan-l/">Zhiyuan Ling</a> - développée initialement par <a href="https://github.com/davidshimjs">Shim Sangmin</a> sous licence MIT.</p>   
    </div>
      <div id="menu">
        <p id="titre_menu">RapidÉtik<p>
        <!-- pas sûr que ce soit une bonne idée ... <button id="bouton_modifier_exercice" type="button" onclick="terminer_exercice(phrase)">Modifier la phrase</button>-->
        <button id="bouton_terminer_exercice" type="button" onclick="terminer_exercice('')">📄 Créer une autre phrase</button>
        <br><br>
        <button id="bouton_imprimer_exercice" type="button" onclick="imprimer()">🖨️ Imprimer l'exercice</button>
        <br><br>
        <button id="bouton_partager_exercice" type="button" onclick="partager_exercice('exercice')">⏩️ Partager l'exercice</button>
        <br><br>
        <button id="bouton_partager_collection" type="button" onclick="partager_exercice('collection')">⏩️ Partager la collection</button>
        <br><br>
        <button id="bouton_a_propos" type="button" onclick="a_propos()">ℹ️ À propos</button>
        <script src="script.js?version=COMMITHASH"></script>
        <script src="qrcodejs/qrcode.js"></script>
    {% include 'templates/global.js.html' %}
</body>
</html>  